REM GEN_EXPORT_PROQURO.BAT
REM
REM BLCC
REM
REM Exporteert verplichtingen als XML tbv. Proquro.
REM
REM Context : roep deze file aan indien nodig, of schedule deze
REM Vereist : de randvoorwaarde voor het gebruik van gen_export
REM
REM $Revision$
REM $Id$
REM
REM (c) 2015 Facilitor B.V.
REM

REM ================================================== cleanup
copy .\Proquro\PQ*.xml .\ProQuro\Backup
del .\Proquro\PQ*.xml

REM ================================================== create exportfile
CALL ..\..\..\utils\gen_export\gen_export.bat PROQURO

REM ================================================== delete empty file(s)
cd Proquro
for %%A in (*.xml) do if %%~zA==0 del %%A
cd ..

REM ================================================== transfer file(s) to PQ
if not exist Proquro\*.xml goto einde

psftp -i ProQuro.ppk -l ftp_facilitor_upload -pw vYY+).+8u/ -P 22 ppnhub.proquro.com -b sftp_F2PQ.scr

:einde
